Bug 176351 - internal compiler error: in get_indirect_ref_operands, at tree-ssa-operands.c:1453
internal compiler error: in get_indirect_ref_operands, at tree-ssa-operands.c...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 12:35 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 04:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source. (387.29 KB, text/plain)
2005-12-21 12:35 EST, David Woodhouse
no flags Details
Trivial backport of the patch that fixed the bug in mainline (2.67 KB, patch)
2006-02-25 05:13 EST, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description David Woodhouse 2005-12-21 12:35:54 EST
/home/dwmw2/working/pkgs/kernel/devel/kernel-2.6.14/linux-2.6.14/drivers/usb/class/usblp.c:339:
internal compiler error: in get_indirect_ref_operands, at tree-ssa-operands.c:1453
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc1UwkIM.out file, please attach this to
your bugreport.

Compile with '-m64 -O -c' to reproduce.
Comment 1 David Woodhouse 2005-12-21 12:35:54 EST
Created attachment 122499 [details]
Preprocessed source.
Comment 2 Alexandre Oliva 2006-02-25 05:13:24 EST
Created attachment 125231 [details]
Trivial backport of the patch that fixed the bug in mainline

Here's a reduced testcase that is fixed with this trivial backport.  It's
tricky to exercise the bug in mainline: you have to compile with -fno-tree-fre
to get the dom1 pass to perform the optimization that used to break in 4.0.

struct foo { char *name; };

struct bar { struct foo *ptr; };

struct xfoo { char *name; }
  xptr;

int x(struct bar * dev) {
  if (dev->ptr != &xptr) /* warning, different types.  */
    return 0;

  return dev->ptr->name == 0;
}
Comment 3 Jakub Jelinek 2006-05-16 04:54:15 EDT
There won't be further gcc FC4 erratas, this was fixed in FC5.

Note You need to log in before you can comment on or make changes to this bug.